import { area, curveNatural, groups } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius,
  colorScale,
  innerHeight
}) => {
  let selectedType = 'Covid';
  let gdpCountries = groups(data, (d) => d.Type);
  
  const gdpCountriesClean = gdpCountries.map((d) =>
    d.pop()
  );
  
  console.log(gdpCountriesClean)
  
  /*gdpCountriesClean.forEach(country => {
    country.forEach(d => console.log(colorScale(d.DonValue)))
  })*/

  const areaGenerator = area()
    .x((d) => xScale(xValue(d)))
    .y1((d) => yScale(yValue(d)))
  	.y0(innerHeight);
  
  if (selectedType == 'Covid') {
  	gdpCountriesClean.reverse()
    colorScale.domain().reverse()
  }
  return (
    <g className="marks">
      {
        
        gdpCountriesClean.map((country) =>{ 

        let donType = country[0].Type;
        let toggleClass = donType == selectedType ? 'selecte-area' : 'not-selected-area';
        return (
        <>
        <path
          className={toggleClass}
          fill={country.map(d => colorScale(d.Type))[0]}
          stroke={country.map(d => colorScale(d.Type))[0]}
          stroke-width="1"
          d={areaGenerator(country)}
        />
        {country.map(d => 
                 <text 
                   x={xScale(xValue(d))}
                   y={yScale(yValue(d)) - 3}
                   text-anchor="middle"
                   >{yValue(d) + '%'}</text>
                )}
        </>
      )}  )}
    </g>
  );
};
